Bug 963656 - Unable to switch by any keyboard combination between rows of items in system-settings main window
Unable to switch by any keyboard combination between rows of items in system-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 06:33 EDT by ZiN
Modified: 2014-02-05 16:24 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:24:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ZiN 2013-05-16 06:33:53 EDT
Description of problem:
There's no possibility to switch by a keyboard combination between different rows in system-settings' main window.

Version-Release number of selected component (if applicable):
kde-workspace-4.10.2-8.fc18.i686

How reproducible:


Steps to Reproduce:
1. Install kde-workspace.
2. Launch system-settings.
3. Try to navigate through items and rows in main window.
  
Actual results:
No possibility to switch between rows via keyboard, while it is possible to switch between items in a current row.

Expected results:
Normal switching between UI elements by keyboard.

Additional info:
Comment 1 Daniel Vrátil 2013-05-16 07:27:09 EDT
I can navigate between columns and rows in systemsettings just by using the up/down/left/right arrows on my keyboard.

Maybe you have some specific shortcuts/theme that prevent this from working?
Comment 2 ZiN 2013-05-16 18:47:55 EDT
Yes, you are right. It seems to be QtCurve theme bug. When I switched to default Oxygen, I could navigate between rows and columns. But even with Oxygen and also Cleanlooks, CDE, Windows 9x, Motif, Plastik, Phase and GTK styles I cannot reach the last row and get out of it.

When I consequently switched to every installed Qt style, it became possible to navigate in QtCurve, but also not to and from the last row.
Comment 3 Fedora End Of Life 2013-12-21 08:34:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:24:05 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.